#include "DxLib.h"
#include "SystemClass.h"
#include "MainLoopClass.h"
#include "ButtonClass.h"

Mouse_t Mouse;

int MainLoopClass::Start(){
	SetMainWindowText( "Title..." ) ;
	SetGraphMode( 640 , 480 , 32 ) ;
	SetAlwaysRunFlag(TRUE);
	if( ChangeWindowMode(TRUE) != DX_CHANGESCREEN_OK || DxLib_Init() == -1 ) return -1;
    SetDrawScreen( DX_SCREEN_BACK );
	GameModeSW = 0;
	ButtonClass *btn=new ButtonClass("Button.png");
	int btnlock = FALSE;
	while(!ProcessMessage() && !ClearDrawScreen() && !GetHitKeyStateAll( Key ) && Key[KEY_INPUT_ESCAPE]==0){
		
		SystemClass::GetMouseInfo(&Mouse);

		btn->ShowButton(100,100,btnlock);
		if(btn->state == PULL)
			btnlock = TRUE;
		Flash(true);
    }
	delete btn;
    DxLib_End();
	return 0;
}
