#include "DxLib.h"
#include "SystemClass.h"
#include "ButtonClass.h"

ButtonClass::ButtonClass(const char *filename){
	CreateButton(filename);

}ButtonClass::ButtonClass(){

}
ButtonClass::~ButtonClass(){

}
void ButtonClass::CreateButton(const char *filename){
	G[0] = LoadGraph(filename);
	GetGraphSize( G[0],&W,&H );
	H=H/4;
	LoadDivGraph( filename , 4 , 1 ,4 , W , H , G ) ;
}
void ButtonClass::ShowButton(int x,int y ,int lock){

	state = FREE;
	push = false;

	if(lock == TRUE){
		DrawGraph(x,y,G[3],TRUE);
		return;
	}
	if(x < Mouse.x && Mouse.x < x+W &&
		y < Mouse.y && Mouse.y < y+H){
			DrawGraph(x,y,G[1],TRUE);
			if(Mouse.State[0] == PUSH){	
				DrawGraph(x,y,G[2],TRUE);
				state = PUSH;
				push = true;
			}
			else if(Mouse.State[0] == HOLD){
				DrawGraph(x,y,G[2],TRUE);
				state = HOLD;
				push = true;
			}
			else if(Mouse.State[0] == PULL){
				DrawGraph(x,y,G[1],TRUE);
				state = PULL;
			}
	}
	else DrawGraph(x,y,G[0],TRUE);
}